Bug 1477074 - (CVE-2017-11692) CVE-2017-11692 yaml-cpp: assertion failure in Token& Scanner::peek function
CVE-2017-11692 yaml-cpp: assertion failure in Token& Scanner::peek function
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170728,repor...
: Security
Depends On: 1477076 1477077 1477078 1477079 1477692 1477693
Blocks: 1477081
  Show dependency treegraph
 
Reported: 2017-08-01 03:57 EDT by Adam Mariš
Modified: 2017-08-23 04:30 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-01 03:57:50 EDT
The function "Token& Scanner::peek" in scanner.cpp in yaml-cpp 0.5.3
and earlier allows remote attackers to cause a denial of service
(assertion failure and application exit) via a '!2' string.

Upstream bug:

https://github.com/jbeder/yaml-cpp/issues/519
Comment 1 Adam Mariš 2017-08-01 04:00:23 EDT
Created yaml-cpp tracking bugs for this issue:

Affects: epel-all [bug 1477077]
Affects: fedora-all [bug 1477078]


Created yaml-cpp03 tracking bugs for this issue:

Affects: epel-7 [bug 1477076]
Affects: fedora-all [bug 1477079]

Note You need to log in before you can comment on or make changes to this bug.